> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docku.mertani.com/api-reference/external-api/get-list-devices/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docku.mertani.com/_mcp/server. # Get list devices GET https://app.mertani.co.id/external/v1/devices Reference: https://docku.mertani.com/api-reference/external-api/get-list-devices ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Response ### 200 Success - `status` (boolean, optional) - `data` (list of Device, optional) ## Types ### Device - `device_id` (string, optional) - `name` (string, optional) - `type` (string, optional) - `lat` (double, optional) - `long` (double, optional) ## Examples **Request** ```json {} ``` **Response** ```json { "status": true, "data": [ { "device_id": "dev-9876543210", "name": "Soil Moisture Sensor A1", "type": "sensor", "lat": -6.914744, "long": 107.60981 } ] } ``` **SDK Code** ```python import requests url = "https://app.mertani.co.id/external/v1/devices" payload = {} headers = { "Content-Type": "application/json" } response = requests.get(url, json=payload, headers=headers, auth=("", "")) print(response.json()) ``` ```javascript const url = 'https://app.mertani.co.id/external/v1/devices'; const credentials = btoa(":"); const options = { method: 'GET', headers: { Authorization: `Basic ${credentials}`, 'Content-Type': 'application/json' }, body: '{}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://app.mertani.co.id/external/v1/devices" payload := strings.NewReader("{}") req, _ := http.NewRequest("GET", url, payload) req.SetBasicAuth("", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.mertani.co.id/external/v1/devices") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request.basic_auth("", "") request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.mertani.co.id/external/v1/devices") .basicAuth("", "") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('GET', 'https://app.mertani.co.id/external/v1/devices', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', ], 'auth' => ['', ''], ]); echo $response->getBody(); ``` ```csharp using RestSharp; using RestSharp.Authenticators; var client = new RestClient("https://app.mertani.co.id/external/v1/devices"); client.Authenticator = new HttpBasicAuthenticator("", ""); var request = new RestRequest(Method.GET); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let credentials = Data(":".utf8).base64EncodedString() let headers = [ "Authorization": "Basic \(credentials)", "Content-Type": "application/json" ] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://app.mertani.co.id/external/v1/devices")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```